Redmine - Defect #37481

Fix the unintentional selection of rows with the context menu

2022-07-21 15:19 - Takashi Kato

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Go MAEDA % Done:
Category: ul Estimated time:
Target version: 428

Resolution: Fixed Affected version:
Description

There is a problem when selecting an issue row with the context menu.

Steps to Reproduce

1. Display the issue list and click on any line in the middle to make it selected.

2. Click the same line again while holding down the Shift key.
3. All the rows below the clicked row become selected unintentionally.

The patch can be applied to r21734

Associated revisions

Revision 21738 - 2022-07-27 15:30 - Go MAEDA

Fix the unintentional selection of rows with the context menu (#37481).

Patch by Takashi Kato.

Revision 21760 - 2022-08-06 06:39 - Go MAEDA
Merged r21738 from trunk to 5.0-stable (#37481).

Revision 21761 - 2022-08-06 06:40 - Go MAEDA
Merged r21738 from trunk to 4.2-stable (#37481).

History

#1 - 2022-07-21 15:45 - Go MAEDA
- Tracker changed from Patch to Defect
- Status changed from New to Confirmed

- Target version set to 4.2.8

#2 - 2022-07-27 15:30 - Go MAEDA
- Status changed from Confirmed to Resolved
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you.

#3 - 2022-08-06 06:40 - Go MAEDA

- Status changed from Resolved to Closed

Files

0001-fix_multiple_selection.patch 845 Bytes
